<?xml version="1.0" encoding="utf-8"?>
<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:orientation="vertical"
    android:layout_height="match_parent">

   <LinearLayout
       android:layout_width="match_parent"
       android:layout_height="match_parent"
       android:orientation="vertical">
       <RelativeLayout
           android:layout_gravity="center"
           android:layout_width="wrap_content"
           android:layout_height="wrap_content">
           <com.airbnb.lottie.LottieAnimationView
               android:layout_width="200dp"
               android:layout_height="200dp"
               android:id="@+id/lottie_view"
               app:lottie_autoPlay="false"
               app:lottie_fileName="lottie_1.json"
               app:lottie_loop="false"
               tools:ignore="MissingClass" />
           <Button
               android:id="@+id/btn_start"
               android:text="点击"
               android:layout_centerInParent="true"
               android:background="@color/xui_config_color_red"
               android:layout_width="50dp"
               android:layout_height="50dp"/>
       </RelativeLayout>
       <FrameLayout
           android:layout_width="wrap_content"
           android:layout_height="wrap_content"
           android:layout_gravity="center">
           <com.xunao.effectdemo.view.FireworkView
               android:id="@+id/fl_firework"
               android:layout_width="wrap_content"
               android:layout_height="wrap_content" />
           <TextView
               android:layout_width="wrap_content"
               android:layout_height="wrap_content"
               android:layout_gravity="center"
               android:text="烟花"
               android:textColor="#657487"/>
       </FrameLayout>
       <com.airbnb.lottie.LottieAnimationView
           android:layout_width="200dp"
           android:layout_height="200dp"
           android:layout_gravity="center"
           app:lottie_autoPlay="true"
           app:lottie_fileName="lottie_2.json"
           app:lottie_loop="false"
           tools:ignore="MissingClass" />
       <com.airbnb.lottie.LottieAnimationView
           android:layout_width="200dp"
           android:layout_height="200dp"
           android:layout_gravity="center"
           app:lottie_autoPlay="true"
           app:lottie_fileName="lottie_1.json"
           app:lottie_loop="true"
           tools:ignore="MissingClass" />
       <com.airbnb.lottie.LottieAnimationView
           android:layout_width="200dp"
           android:layout_height="200dp"
           android:layout_gravity="center"
           app:lottie_autoPlay="true"
           app:lottie_fileName="lottie_3.json"
           app:lottie_loop="false"
           tools:ignore="MissingClass" />
       <com.airbnb.lottie.LottieAnimationView
           android:layout_width="200dp"
           android:layout_height="200dp"
           android:layout_gravity="center"
           app:lottie_autoPlay="true"
           app:lottie_fileName="lottie_4.json"
           app:lottie_loop="false"
           tools:ignore="MissingClass" />

       <RelativeLayout
           android:layout_gravity="center"
           android:layout_width="wrap_content"
           android:layout_height="wrap_content">
           <com.airbnb.lottie.LottieAnimationView
                android:visibility="gone"
               android:layout_width="200dp"
               android:layout_height="200dp"
               app:lottie_autoPlay="true"
               app:lottie_fileName="lottie_5.json"
               app:lottie_loop="false"
               tools:ignore="MissingClass" />

           <com.example.library.LikeView
               android:id="@+id/like"
               android:layout_width="wrap_content"
               android:layout_height="wrap_content"
               app:circleColor="@color/colorAccent"
               app:bitmap="@mipmap/icon_anim"/>
       </RelativeLayout>
   </LinearLayout>

</ScrollView>